curl --request GET \
--url https://api.hubapi.com/tax-rates/2026-03/tax-rates/{taxRateGroupId} \
--header 'Authorization: Bearer <token>'{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"percentageRate": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}Retrieve a specific tax rate by its taxRateGroupId.
curl --request GET \
--url https://api.hubapi.com/tax-rates/2026-03/tax-rates/{taxRateGroupId} \
--header 'Authorization: Bearer <token>'{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"percentageRate": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Indicates whether the tax rate group is currently active.
The date and time when the tax rate was created.
The unique identifier for the tax rate.
The display label for the tax rate.
The name of the tax rate.
The percentage rate applied.
The date and time when the tax rate was last updated.
Was this page helpful?